require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS2, "flowersTC", false);
SManager:AddFlowers(FlowerType.FLOWERS3, "flowersWRB", true);
SManager:AddFlowers(FlowerType.FLOWERS4, "flowersSS", true);

SManager:AddMeal(MealType.STEAK, "steakFiletMignon", false);
SManager:AddMeal(MealType.FISH, "fishGingerSalmon", true);
SManager:AddMeal(MealType.PASTA, "fettucine", true);

SManager:AddCake(CakeType.AUDREY, "cake1White", false);
SManager:AddCake(CakeType.CAKE5, "cake5Cocoa", false);
SManager:AddCake(CakeType.CAKE4, "cake4Strawberry", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.FLOWERS, SelectionType.MEAL, SelectionType.CAKE);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");